Package org.python.core.packagecache

## Class CachedJarsPackageManager.JarXEntry

- java.lang.Object
- - org.python.core.packagecache.CachedJarsPackageManager.JarXEntry

- Enclosing class:
    CachedJarsPackageManager

      public static class CachedJarsPackageManager.JarXEntry
      extends java.lang.Object

  To pass a cachefile id by ref. And for internal use. See outCreateCacheFile

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `java.lang.String` | `cachefile` | cachefile id
    `long` | `mtime` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JarXEntry​(java.lang.String cachefile)` |
    `JarXEntry​(java.lang.String cachefile, long mtime)` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### cachefile

          public java.lang.String cachefile

      cachefile id

    - #### mtime

          public long mtime

  - ### Constructor Detail

    - #### JarXEntry

          public JarXEntry​(java.lang.String cachefile)

    - #### JarXEntry

          public JarXEntry​(java.lang.String cachefile,
                           long mtime)